sc::OneBodyOneCenterDerivInt(3)

NAME
sc::OneBodyOneCenterDerivInt - OneBodyOneCenterDerivInt is an abstract base class for objects that compute one body derivative integrals on a single center.

SYNOPSIS

#include <obint.h>

Inherits sc::RefCount.

  Public Member Functions
OneBodyOneCenterDerivInt (Integral *, const Ref< GaussianBasisSet > &b)
int nbasis () const
Return the number of basis functions on center one.
int nbasis1 () const
Return the number of basis functions on center one.
int nshell () const
Return the number of shells on center one.
int nshell1 () const
Return the number of shells on center one.
Ref< GaussianBasisSet > basis ()
Return the basis set on center one.
Ref< GaussianBasisSet > basis1 ()
Return the basis set on center one.
const double * buffer () const
The computed shell integrals will be put in the buffer returned by this member.
virtual void compute_shell (int ish, DerivCenters &)=0
Compute the derivative integrals and place the result in the buffer returned by buffer().
virtual void compute_shell (int ish, int center)=0
Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer().

  Protected Attributes
Integral * integral_
Ref< GaussianBasisSet > bs1
double * buffer_

Detailed Description

OneBodyOneCenterDerivInt is an abstract base class for objects that compute one body derivative integrals on a single center.

Member Function Documentation

  const double* sc::OneBodyOneCenterDerivInt::buffer () const

The computed shell integrals will be put in the buffer returned by this member.

  virtual void sc::OneBodyOneCenterDerivInt::compute_shell (int ish, DerivCenters &) [pure virtual]

Compute the derivative integrals and place the result in the buffer returned by buffer().

  virtual void sc::OneBodyOneCenterDerivInt::compute_shell (int ish, int center) [pure virtual]

Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer().

Author

Generated automatically by Doxygen for MPQC from the source code.